unit Main;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, Scrlcapt, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    EnableBtn: TBitBtn;
    GroupBox1: TGroupBox;
    LeftBtn: TRadioButton;
    RightBtn: TRadioButton;
    SCaption: TScrollingCaption;
    procedure EnableBtnClick(Sender: TObject);
    procedure LeftBtnClick(Sender: TObject);
    procedure RightBtnClick(Sender: TObject);
    procedure SCaptionProcessCaption(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.EnableBtnClick(Sender: TObject);
begin
  if EnableBtn.Caption = 'Enable' then EnableBtn.Caption := 'Disable' else EnableBtn.Caption := 'Enable';
  SCaption.Enabled := not SCaption.Enabled;
end;

procedure TForm1.LeftBtnClick(Sender: TObject);
begin
  SCaption.Direction := dLeft;
end;

procedure TForm1.RightBtnClick(Sender: TObject);
begin
  SCaption.Direction := dRight;
end;

procedure TForm1.SCaptionProcessCaption(Sender: TObject);
begin
  SCaption.Space := IntToStr(Random(50));
end;

end.
